Skip to main content

Batch Update Source Segments

PATCH 

https://api.knoxstudio.ai/v1/dubbing/project/:project_id/transcript/segments

segments must contain 1–500 entries. Not billed.

Request​

Path Parameters​

NameTypeRequiredDescription
project_idStringYesDubbing project ID.

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.
Content-TypeStringYesapplication/json

Request Body​

NameTypeRequiredDescription
segmentsObjectYesMap of segment_id to patch objects (text, speaker_id, start_s, end_s). 1–500 entries.

cURL Example​

curl -X PATCH https://api.knoxstudio.ai/v1/dubbing/project/proj_123/transcript/segments \
-H "Authorization: Bearer $KNOXCHAT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"segments":{"seg_789":{"text":"Updated line"}}}'

Response​

Success Response (200)​

Batch result JSON.

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.